package com.itbaizhan.travel.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.itbaizhan.travel.pojo.Admin;
import org.apache.ibatis.annotations.Param;

public interface AdminMapper extends BaseMapper<Admin> {
    //查询用户详情
    //根据用户aid查询用户详情
    //映射文件在resource目录下，要求与java目录下的目录结构相同
    //对应Mapper文件要求引入mybatis对应的映射
    Admin findDesc(Integer aid);

    //删除用户的所有角色
    void deleteAdminAllRoles(Integer aid);
    //给用户添加角色
    //@Param有什么作用？它是从哪里读取的？
    void addAdminRole(@Param("aid") Integer aid,@Param("rid") Integer rid);
}
//AdminMapper的使用原理：
// BaseMapper中有许多已经编号SQL语句的方法，我们可以直接使用它提供的方法，
// 同时我们也可以通过编写映射文件自己向AdminMapper中添加指定SQL语句，作为新的方法