package com.itbaizhan.travel;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.itbaizhan.travel.bean.RoleWithStatus;
import com.itbaizhan.travel.mapper.AdminMapper;
import com.itbaizhan.travel.pojo.Admin;
import com.itbaizhan.travel.service.AdminService;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

import java.util.List;

@SpringBootTest
class TravelApplicationTests {

    @Autowired
    private AdminService adminService;
    @Autowired
    private AdminMapper adminMapper;

    @Test
    void contextLoads() {
        //测试用户管理页面的分页插件
//        Page<Admin> page=adminService.findPage(1,5);
//        System.out.println(page);
//        //测试时报错java.lang.IllegalStateException:Fail to load ApplicationContext
//        //已经在问答中提问，还未能解决
//        //问题已解决：
//        //因为本人数据库端口号为3308，使用///来在yml文件中写url的话会将端口默认为3306，从而导致无法连接上数据库


//        //测试详情页面的多表查询功能
//        Admin desc = adminMapper.findDesc(1);
//        System.out.println(desc);
//        //测试通过

        //测试根据用户aid查询带状态的角色
        List<RoleWithStatus> roleWithStatuses = adminService.findRole(1);
        System.out.println(roleWithStatuses);
    }

}
