package com.itbaizhan.travel.controller;

import com.sun.org.apache.xerces.internal.impl.xpath.XPath;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

@Controller
public class PageController {
    //访问后台页面
    @RequestMapping("/backstage/{page}")
    public String shoePageBackstage(@PathVariable String page){
        return "/backstage/"+page;
    }

    //访问前台页面
    @RequestMapping("/frontdesk/{page}")
    public String shoePageFrontdesk(@PathVariable String page){
        return "/frontdesk/"+page;
    }

    //忽略访问项目logo（这个方法不写也没关系）
    @RequestMapping("favicon.ico")
    @ResponseBody
    void returnNoFavicon(){}
}
