package com.itbaizhan.travel.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.itbaizhan.travel.pojo.Admin;
import com.itbaizhan.travel.pojo.Role;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface RoleMapper extends BaseMapper<Role> {

    List<Integer> findRoleIdByAdmin(Integer aid);//根据用户的aid查询用户拥有的所有角色的id，即rid

    void deleteRoleAllPermission(Integer rid);//删除角色的所有权限

    void addRolePermission(@Param("rid") Integer rid, @Param("pid") Integer pid);//向指定角色添加权限，@Param中的参数是数据库中表的列名

}
